/*
 Core51s serial source code
 
 wgh 04 Aug 2008

*/

#include "SC_8051s_reg51.h"
#include "Core51S_test_IO.h"

/*********************************************************************
 *																	 * 
 * 						function prototypes							 *
 * 																	 * 
 ********************************************************************* 
 */ 


char _getkey (void);
char putchar (char c);
void write_uart (char c);

/*********************************************************************
 *																	 * 
 * 							start of code							 *
 * 																	 * 
 ********************************************************************* 
 */
 
 char _getkey (void)
{
	char c;
																	
	while (!(SStat & 0x02));  				/* wait wait for a character */
	c =  RxData;					    	  /* read the char */
	return (c);
}
 
  
char putchar (char c)
{
	if (c == '\n') write_uart(0x0D);
	write_uart(c);
	return (c);
}

void write_uart (char c)
{															
		while (!( SStat  & 0x01));  			/* wait until transmitter ready */	
		TxData = c;      					/* output character */
		return;
}





