/*--------------------------------------------------------------------------
reg51.h

Header file for Actel Core8051s microcontroller.
Copyright (c) Actel Corporation 2006.
All rights reserved.
--------------------------------------------------------------------------*/

#ifndef __REG51_H__
#define __REG51_H__

/*  BYTE Registers  */
__sfr __at (0x81) SP;
__sfr __at (0x82) DPL;
__sfr __at (0x83) DPH;
__sfr __at (0x84) DPL1;
__sfr __at (0x85) DPH1;
__sfr __at (0x92) DPS;
__sfr __at (0x9A) XWB1;
__sfr __at (0x9B) XWB2;
__sfr __at (0x9C) XWB3;
__sfr __at (0x9D) XRB1;
__sfr __at (0x9E) XRB2;
__sfr __at (0x9F) XRB3;
__sfr __at (0xD0) PSW;
__sfr __at (0xE0) ACC;
__sfr __at (0xF0) B;

/*  BIT Register  */
/*  PSW   */

__sbit __at (0xD0) P    ;
__sbit __at (0xD2) OV   ;
__sbit __at (0xD3) RS0  ;
__sbit __at (0xD4) RS1  ;
__sbit __at (0xD5) F0   ;
__sbit __at (0xD6) AC   ;
__sbit __at (0xD7) CY   ;

#endif
